<nav>
	<a href="@pathto(/)">./..</a>
</nav>

<pre id="header">
               _        _      
 _ __ _ _ ___ (_)___ __| |_ ___
| '_ \ '_/ _ \| / -_) _|  _(_-<
| .__/_| \___// \___\__|\__/__/
|_|         |__/               </pre>

<div class="container">
	<b><a href="https://github.com/JoaoFukuda/study" target="_blank">study</a></b><br/>
	<p>Repository to keep all the things I'm currently working on. CTF challenges I'm solving, papers I'm reading, and any other possible shenanigans.</p>
</div>

<div class="container">
	<b><a href="https://github.com/JoaoFukuda/modular_proxy" target="_blank">modular_proxy</a></b><br/>
	<p>A proxy where you can load and unload modules at runtime simply by putting an elf file into and out of a directory.</p>
	<p>Uses <a href="https://en.wikipedia.org/wiki/Inotify" target="_blank">inotify</a> and dynamic linking through dlfcn.</p>
</div>

<div class="container">
	<b><a href="https://github.com/JoaoFukuda/bfuk" target="_blank">bfuk</a></b><br/>
	<p>A <a href="https://en.wikipedia.org/wiki/Brainfuck" target="_blank">brainfuck</a> interpreter that runs --- beautifully --- on the terminal through the use of <a href="https://en.wikipedia.org/wiki/ANSI_escape_code" target="_blank">ANSI Escape Codes</a>.</p>
	<p>And along with it...</p>
</div>

<div class="container">
	<b><a href="https://github.com/JoaoFukuda/cursed-chip8" target="_blank">cursed-chip8</a></b><br/>
	<p>A <a href="https://en.wikipedia.org/wiki/CHIP-8" target="_blank">chip-8</a> emulator on the terminal also using <a href="https://en.wikipedia.org/wiki/ANSI_escape_code" target="_blank">ANSI Escape Codes</a>.</p>
</div>

<div class="container">
	<b><a href="https://gitlab.com/_joao.fukuda/dotfiles" target="_blank">dotfiles</a></b><br/>
	<p>My Linux configuration files. Where I keep all generic configurations so I can easily format my computer, or just simply configure a new environment to my liking.</p>
</div>

<div class="container">
	<b><a href="https://github.com/JoaoFukuda/cstow" target="_blank">cstow</a></b><br/>
	<p><a href="https://www.gnu.org/software/stow/" target="_blank">Stow</a> re implemented in C, as there are some things I wish Stow did better (and I'm not up to learning Perl).</p>
</div>
